Subject: bug#47812: Incorrect code in the Guix manual, but only on the website

From: Mark H Weaver <[email-masked]>
Date: Thu, 15 Apr 2021 23:38:57 -0400

tags 47812 + notabug
close 47812
thanks

Hi Leo,

Leo Famulari <[email-masked]> writes:

> On Thu, Apr 15, 2021 at 08:12:13PM -0400, Mark H Weaver wrote:
>> I see now that this new functionality was added to the 'staging' branch
>> 3 days ago:
>> 
>>   https://git.sv.gnu.org/cgit/guix.git/commit/?h=staging&id=a247f5c7537df7e0c09051ba22d5c95eb08f48b9
>
> If I understand correctly, this commit is also on the master branch: 
>
> https://git.savannah.gnu.org/cgit/guix.git/commit/?h=master&id=a247f5c7537df7e0c09051ba22d5c95eb08f48b9
>
> And I do see it in my local copy of the repo.
>
> Can you double-check on your end? Or have I misunderstood?

No, you're right.  When I first checked, I hadn't updated my local git
repo recently enough to have the commit.  However, I'm not sure how I
managed to include (in my original report) a Savannah URL pointing to
the relevant code without noticing that it had the newly updated code.

I'm closing this bug now.  Sorry for the noise.

     Thanks,
       Mark